%{?nodejs_find_provides_and_requires}

%global packagename server-destroy
%global enable_tests 1

Name:		nodejs-server-destroy
Version:	1.0.1
Release:	3%{?dist}
Summary:	Enable destroying a server, and all currently open connections

License:	ISC
URL:		https://github.com/isaacs/server-destroy.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequires:
%endif

Requires:	nodejs

%description
Enable destroying a server, and all currently open connections.


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%{__nodejs} -e 'require("./")'
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%__nodejs test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Oct 30 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
